BeanRepository (Tomcat API Documentation)
Keywords: org.apache.jasper.compiler.BeanRepository class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class BeanRepository

    java.lang.Object
      org.apache.jasper.compiler.BeanRepository

    public class BeanRepository

extends java.lang.Object

Repository of {page, request, session, application}-scoped beans

Author:
  Mandar Raje, Remy Maucherat

Field Summary
`protected java.util.HashMap<java.lang.String,java.lang.String>` | `beanTypes`
`protected ErrorDispatcher` | `errDispatcher`
`protected java.lang.ClassLoader` | `loader`

Constructor Summary
`BeanRepository(java.lang.ClassLoader loader, ErrorDispatcher err)` Constructor.

Method Summary
`void` | `addBean(Node.UseBean n, java.lang.String s, java.lang.String type, java.lang.String scope)`
`boolean` | `checkVariable(java.lang.String bean)`
`java.lang.Class` | `getBeanType(java.lang.String bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### beanTypes

    protected java.util.HashMap<java.lang.String,java.lang.String> beanTypes

### loader

    protected java.lang.ClassLoader loader

### errDispatcher

    protected ErrorDispatcher errDispatcher

Constructor Detail

### BeanRepository

    public BeanRepository(java.lang.ClassLoader loader,
                          ErrorDispatcher err)

  Constructor.

Method Detail

### addBean

    public void addBean(Node.UseBean n,
                        java.lang.String s,
                        java.lang.String type,
                        java.lang.String scope)
                 throws JasperException

  Throws:
    `JasperException`

### getBeanType

    public java.lang.Class getBeanType(java.lang.String bean)
                                throws JasperException

  Throws:
    `JasperException`

### checkVariable

    public boolean checkVariable(java.lang.String bean)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.